# MLNXSM 5.16.0

Copyright (c) 2023 NVIDIA CORPORATION & AFFILIATES. All rights reserved.  
July 2023


## Packages:

| Package | Version     |
| ------- | ----------- |
| UFM     | 6.14.x      |
| MOFED   | 23.10       |


## Changes

- Support configuring CC buffer thresholds according to switch capabilities.

- Improved performance of routing calculation for routers.

- Avoid unicast route rebalancing when HBF enabled on all SLs.

- Write destination port GUID when logging direct routed SMPs.

- Add support for Systemd.


## Parameter changes

| Parameter name                | Status | Type    | Description                                                                                 |
| ----------------------------- | ------ | ------- | ------------------------------------------------------------------------------------------- |
| max_wire_smps                 | Update | Numeric | Change default value to 32                                                                  |
| max_wire_smps2                | Update | Numeric | Change default value to 32                                                                  |
| hbf_sl_mask                   | Update | Numeric | Change default value to 0xffff                                                              |


## Bug Fixes

- Fixed race condition when parsing configuration file that can result in SM crash.

- Fixed issue with reconfiguring switch after removed from held-back list.

- Fixed redundant heavy sweep when suspecting a port is unhealthy.

- Fixed handling switches with all port marked as 'no_discover'.

- Fixed issue with writing 'unknown vendor' to screen.

